#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    ios_base :: sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

int x,y;              //Dve promenjive
cin>>x>>y;
int b1=0,b2=0;        //Brojac cifara
double d1=1;
int cifra1=0,cifra2=0,cifreL=0,cifraL,z=0,z1=0;
if(x>0&&y>0){
while(x > d1){
      d1=d1*10;
      b1++;
      }
      d1=1;
while(y >d1){
   b2++;
   d1=d1*10;
}

     if(b1 > b2){
        int b3=b1-b2;
        int b4=b1-b3;
        int cifre=x/pow(10,b4);
        cifreL+=cifre*pow(10,b4);
        x=x-cifreL;

  while(b1>b2){
    b1--;
  }

    }else if(b2 > b1){
        int b3=b2-b1;
        int b4=b2-b3;
        int cifre=y/pow(10,b4);
        cifreL+=cifre*pow(10,b4);
        y=y-cifreL;

        while(b2>b1){
    b2--;
  }
    }

int finish=cifreL;
while(b1>=0){
    int cifra1=x/pow(10,b1);
    int z=cifra1*pow(10,b1);
    x-=z;
    int cifra2=y/pow(10,b1);
    int z1=cifra2*pow(10,b1);
    y-=z1;
    if(cifra1>cifra2){
            finish+=z;
            }else if(cifra2>cifra1){
            finish+=z1;
            }else{
            finish*=10;
            int Z=z+(z*10);
            finish+=Z;
            }
   b1--;
}
cout<<finish;
    return 0;
cout<<finish;
return 0;
}
}